Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.viewmodel
Interface NodeActionsProviderFilter

All Superinterfaces:
  Model

    public interface NodeActionsProviderFilter

extends Model

Filters actions provided by some original `NodeActionsProvider`. It can be used to add some new actions to nodes pop-up menu, remove some actions or redefine behaviour of some actions.

Method Summary
`Action[]` | `getActions(NodeActionsProvider original, Object node)` Returns set of actions for given node.
`void` | `performDefaultAction(NodeActionsProvider original, Object node)` Performs default action for given node.

Method Detail

### performDefaultAction

    void performDefaultAction(NodeActionsProvider original,
                              Object node)
                              throws UnknownTypeException

  Performs default action for given node. You should not throw UnknownTypeException directly from this method!

  Throws:
    `UnknownTypeException` - this exception can be thrown from `original.performDefaultAction (...)` method call only!

### getActions

    Action[] getActions(NodeActionsProvider original,
                        Object node)
                        throws UnknownTypeException

  Returns set of actions for given node. You should not throw UnknownTypeException directly from this method!

  Returns:
    set of actions for given node
  Throws:
    `UnknownTypeException` - this exception can be thrown from `original.getActions (...)` method call only!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.